#picaxe 28x2

symbol threshold = 180		; Define threshold between
													;  dark and light 

main:											; Main program loop

  readadc B.3, b0					; Read analog pins B.3 & B.4
  readadc B.4, b1
  
  
  ; Determine direction of robot based on sensor input
  if b0 > threshold and b1 > threshold then gosub robot_forward
  if b0 > threshold and b1 < threshold then gosub robot_left
  if b0 < threshold and b1 > threshold then gosub robot_right
  if b0 < threshold and b1 < threshold then gosub robot_stop
  
	goto main								; Repeat program loop

robot_forward:
	high B.6
	low B.7
	high A.0
	low A.1
	return

robot_backward:
	low B.6
	high B.7
	low A.0
	high A.1
	return
	
robot_right:
	high B.6
	low B.7
	low A.0
	high A.1
	return

robot_left:
	low B.6
	high B.7
	high A.0
	low A.1
	return
	
robot_stop:
	low B.6
	low B.7
	low A.0
	low A.1
	return