#picaxe 28x2					  ; Specify 28X2 PICAXE chip


main:										; Main program loop
												;  Go through series of motions

	gosub robot_forward
	pause 2000
		
	gosub robot_backward
	pause 2000
	
	gosub robot_right
	pause 2000
	
	gosub robot_left
	pause 2000	
	
  gosub robot_stop	
	pause 2000
	
  goto main							; Repeat main program
	
robot_forward:					; Motion control routines
	high B.6							; Right motor controlled by 
	low B.7								;   pins B.6 and B.7
	high A.0							; Left motor controlled by
	low A.1								;   pins A.0 and A.1
	return

robot_backward:
	low B.6
	high B.7
	low A.0
	high A.1
	return
	
robot_right:
	high B.6
	low B.7
	low A.0
	high A.1
	return

robot_left:
	low B.6
	high B.7
	high A.0
	low A.1
	return
	
robot_stop:
	low B.6
	low B.7
	low A.0
	low A.1
	return